# $Revision: 1.58 $, $Date: 2008/11/09 15:30:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Multi-channel settings management support for Xfce
Summary(pl.UTF-8):	Obsługa zarządzania ustawieniami wielokanałowymi dla Xfce
Name:		libxfce4mcs
Version:	4.4.3
Release:	2
License:	LGPL v2
Group:		Libraries
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	c50846b0ad090c2434ca4df1d060cc98
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= 4.4.0.1
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
multi-channel settings management support for Xfce.

%description -l pl.UTF-8
Obsługa zarządzania ustawieniami wielokanałowymi dla Xfce.

%package apidocs
Summary:	libxfce4mcs API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfce4mcs
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxfce4mcs API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfce4mcs.

%package devel
Summary:	Development files for libxfce4mcs libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libxfce4mcs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxfce4util-devel >= %{version}
Requires:	startup-notification-devel >= 0.8
Requires:	xorg-lib-libX11-devel

%description devel
Development files for the libxfce4mcs libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libxfce4mcs.

%package static
Summary:	Static libxfce4mcs libraries
Summary(pl.UTF-8):	Statyczne biblioteki libxfce4mcs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4mcs libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libxfce4mcs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-gtkdoc \
	--with-html-dir=%{_gtkdocdir} \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxfce4mcs-client.so.*.*.*
%attr(755,root,root) %{_libdir}/libxfce4mcs-manager.so.*.*.*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4mcs-client.so
%attr(755,root,root) %{_libdir}/libxfce4mcs-manager.so
%{_libdir}/libxfce4mcs-client.la
%{_libdir}/libxfce4mcs-manager.la
%{_includedir}/xfce4/libxfce4mcs
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4mcs-client.a
%{_libdir}/libxfce4mcs-manager.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxfce4mcs.spec,v $
Revision 1.58  2008/11/09 15:30:54  megabajt
- release 2

Revision 1.57  2008/10/27 23:00:26  blues
- 4.4.3

Revision 1.56  2007/12/04 17:14:31  megabajt
- updated to 4.4.2

Revision 1.55  2007-07-02 00:31:08  shadzik
- rel 2

Revision 1.54  2007/04/11 17:38:17  rotom
- 4.4.1

Revision 1.53  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.51  2007/01/21 19:02:56  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.50  2006/11/05 18:06:03  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- added static_libs bcond

Revision 1.49  2006/09/04 12:21:30  megabajt
- added R: startup-notification-devel to devel subpackage

Revision 1.48  2006/09/04 11:39:18  megabajt
- updated to 4.3.99.1

Revision 1.47  2006/07/24 18:18:40  freetz
- rel.2, removed LDFLAGS

Revision 1.46  2006/07/16 11:29:01  freetz
- merged from DEVEL

Revision 1.45.2.2  2006/07/16 11:27:19  freetz
- 4.3.90.2, use common aclocal dir for m4 macros, updated deps, --as-needed
  support

Revision 1.45.2.1  2006/04/18 19:32:33  troll
- updated to 4.3.90.1 (4.4 beta 1)

Revision 1.45  2006/03/16 20:28:08  megabajt
- modular xorg deps

Revision 1.44  2005/11/16 23:41:42  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}

Revision 1.43  2005/11/11 14:58:16  charles
- BR gtk-doc-automake instead of gtk-doc (adgor's suggestion)

Revision 1.42  2005/11/10 03:15:55  charles
- reverted, required for building %{_gtkdocdir}/libxfce4mcs

Revision 1.41  2005/11/09 17:59:34  adgor
- Removed gtk-doc br

Revision 1.40  2005/11/09 05:07:52  troll
- updated to 4.2.3

Revision 1.39  2005/05/19 22:58:16  koorek
- BR gtk-doc

Revision 1.38  2005/05/18 23:49:38  troll
- BR: xfce4-dev-tools
- uncommented %%{__aclocal} and %%{__automake} macros, since they work now with
  headers provided by xfce4-dev-tools

Revision 1.37  2005/05/18 23:40:55  troll
- updated to 4.2.2

Revision 1.36  2005/03/16 01:20:32  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.35  2005/01/17 12:56:14  troll
- universal R: and BR: versions

Revision 1.34  2005/01/17 11:21:31  charles
- R, BR libxfce4util{-devel} up to 4.2.0

Revision 1.33  2005/01/17 10:44:47  troll
- updated to 4.2.0 final

Revision 1.32  2005/01/05 09:27:50  havner
- proper licence, rel up

Revision 1.31  2005/01/05 03:37:36  charles
- reverted R libxfce4util

Revision 1.30  2005/01/04 21:44:16  charles
- removed redundant R
- cosmetics in licence

Revision 1.29  2004/12/27 22:19:15  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.28  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.27  2004/12/13 18:14:37  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.26  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.25  2004/11/25 21:13:54  qboosh
- moved gtk-doc to -devel (API, not user docs)
- adjusted BRs (ac 2.50, builds both with X.org and XFree86)

Revision 1.24  2004/11/24 22:16:20  troll
- merged from DEVEL

Revision 1.20.2.9  2004/11/15 20:26:19  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.20.2.8  2004/11/07 06:27:55  troll
- updated to 4.1.91 (4.2 beta 2)
- R: gtk-doc-common

Revision 1.20.2.7  2004/10/07 05:21:02  troll
- up to 4.1.90 (4.2 beta 1)

Revision 1.20.2.6  2004/08/16 18:58:18  havner
- [mass commit] 20040816
- not tested yet

Revision 1.20.2.5  2004/08/13 16:06:46  havner
- proper version
- stricter BR
- 20040813

Revision 1.20.2.4  2004/08/06 21:43:22  havner
- 20040806

Revision 1.20.2.3  2004/07/30 00:34:39  troll
- 4.1.2

Revision 1.20.2.2  2004/06/16 16:48:17  jpc
- fixed -static subpackage Group

Revision 1.20.2.1  2004/06/16 16:12:34  jpc
- new snap 20040616
- autotoolize

Revision 1.20  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.19  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.18  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.17  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.16  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.15  2004/01/02 17:43:18  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.14  2004/01/02 11:41:05  jajcus
- copy config.sub from automake

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/11/13 12:35:20  qboosh
- updated libxfce4util-devel dep in -devel

Revision 1.10  2003/09/27 09:13:38  troll
- updated to 4.0.0

Revision 1.9  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.8  2003/08/28 12:24:20  troll
- fixed *Requires' versions

Revision 1.7  2003/08/27 08:55:55  pascalek
- updated to 3.99.3

Revision 1.6  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.5  2003/07/25 08:50:46  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:21:16  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:41:59  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/16 14:25:24  qboosh
- pl, cleanups, fixed file lists

Revision 1.1  2003/06/14 18:08:42  pascalek
- initial release
